{% extends 'base.html.twig' %}

{% block title %}Mensajes Privados{% endblock %}

{% block body %}

    <div class="container">
        <div class="col-12 timeline box-timeline">
            <div class="row">
                <div class="col-4">
                    <h1>Mensajes Privados</h1>
                    {{form_start(form,{'method':'POST'})}}
                    {{form_widget(form)}}
                    {{form_end(form)}}
                </div>
                <div class="col">
                    <h2 class="mt-2">Mensajes Recibidos</h2>
                    <hr>
                    {% for message in pagination %}
                        <div class="publication-item col-12">
                            <div class="row">
                                <div class="publication-user text-center col-2">
                                    {% if message.emitter.image !=null %}
                                        <img src="{{asset('uploads/users/'~ message.emitter.image)}}" alt="" />
                                    {% else %}
                                        <img src="{{asset('uploads/users/default-user-icon.png')}}" alt="" />

                                    {% endif %}
                                </div>
                                <div class="publication-content text-center col-9">
                                    <p class="text-left">
                                        <a href="{{path('user_profile',{'nickname': message.emitter.nick})}}" class="pub-name-user">
                                            {{ message.emitter.name}} {{ message.emitter.surname}}
                                        </a>
                                        -{{ message.emitter.nick}}-
                                        <span class="pub-date">
                                            {{message.createdAt|long_time}}
                                        </span>
                                    </p>
                                    {{ message.message}}
                                    <br>
                                    {% if message.image !=null %}
                                        <a href="{{asset('uploads/messages/images/'~message.image)}}" target="_blank">
                                            <i class="far fa-images"></i>
                                        </a>
                                    {% endif %}
                                    {% if message.file != null %}
                                        <a href="{{asset('uploads/messages/documents/'~message.file)}}" target="_blank">
                                            <h3><i class="fas fa-file-download"></i></h3>
                                        </a>
                                    {% endif %}

                                </div>
                            </div>
                            <hr>    
                        </div>
                    {% endfor %}
                    <div class="navigation">
                        {{ knp_pagination_render(pagination) }}
                    </div>      
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <a href="{{path('private_messages_sended')}}" class="btn btn-info">Ver mensajes enviados</a>


    </div>
{% endblock %}
{% block javascripts %}
{% endblock %}


